std::ranges::cartesian_product_view::iterator::operator*(3)

NAME
std::ranges::cartesian_product_view::iterator::operator* - std::ranges::cartesian_product_view::iterator::operator*

Synopsis
   constexpr auto operator*() const; (since C++23)
   Returns the current element in the cartesian_product_view. Equivalent to:
   return /*tuple-transform*/([](auto& i) -> decltype(auto) { return *i; }, current_);.

Parameters
   (none)

Return value
   The current element.

Example
    This section is incomplete
    Reason: no example

See also
   operator[] accesses an element by index
   (C++23) (public member function)

Category:
     * Todo no example